Script: *convert-csv2txt.ps1*
========================

This PowerShell script converts a .CSV file into a text file and prints it.

Parameters
----------
```powershell
PS> ./convert-csv2txt.ps1 [[-Path] <String>] [<CommonParameters>]

-Path <String>
    Specifies the path to the .CSV file
    
    Required?                    false
    Position?                    1
    Default value                
    Accept pipeline input?       false
    Accept wildcard characters?  false

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./convert-csv2txt salaries.csv

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
	Converts a .CSV file into a text file
.DESCRIPTION
	This PowerShell script converts a .CSV file into a text file and prints it.
.PARAMETER Path
	Specifies the path to the .CSV file
.EXAMPLE
	PS> ./convert-csv2txt salaries.csv
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

param([string]$Path = "")

try {
	if ($Path -eq "" ) { $Path = read-host "Enter path to CSV file" }

	$Table = Import-CSV -path "$Path" -header A,B,C,D,E,F,G,H

	foreach($Row in $Table) {
		write-output "* $($Row.A) $($Row.B) $($Row.C) $($Row.D) $($Row.E) $($Row.F) $($Row.G) $($Row.H)"
	}
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*(generated by convert-ps2md.ps1 using the comment-based help of convert-csv2txt.ps1 as of 08/15/2024 09:50:47)*
